Package org.tmatesoft.svn.core.wc

## Interface ISVNStatusFileProvider

-     public interface ISVNStatusFileProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<java.lang.String,​java.io.File>` | `getChildrenFiles​(java.io.File parent)` | Returns Map (key = file name, value = java.io.File) of files under dir that client is interested in

- - ### Method Detail

    - #### getChildrenFiles

          java.util.Map<java.lang.String,​java.io.File> getChildrenFiles​(java.io.File parent)

      Returns Map (key = file name, value = java.io.File) of files under dir that client is interested in
      Returns:
        should return null for the case when file list should be calculated outside